> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Duplicate



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/areas/{areaId}/duplicate
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/areas/{areaId}/duplicate:
    post:
      tags:
        - Project Areas
      summary: Duplicate
      operationId: ProjectAreasController_duplicate_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: areaId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DuplicateProjectAreaDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectAreaMutationResponseDto'
      security:
        - bearer: []
components:
  schemas:
    DuplicateProjectAreaDto:
      type: object
      properties:
        version:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        name:
          type: string
          minLength: 1
          maxLength: 120
        parentIds:
          minItems: 1
          maxItems: 100
          type: array
          items:
            type: string
      required:
        - version
        - name
      additionalProperties: false
    ProjectAreaMutationResponseDto:
      type: object
      properties:
        version:
          type: number
        affectedAreaId:
          type: string
          nullable: true
      required:
        - version
        - affectedAreaId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````